> ## Documentation Index
> Fetch the complete documentation index at: https://ailabtools.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Face Beauty Pro

> Face Beauty Pro API provides advanced portrait retouching, face shaping, eyebrow removal, filters, and skin beautification.



## OpenAPI

````yaml /docs/openapi.json post /api/portrait/effects/face-beauty-pro
openapi: 3.0.0
info:
  title: AILabAPI
  description: >-
    [<b>AILabTools</b>](https://www.ailabtools.com) is an advanced tool that
    offers a vast array of simple and flexible API endpoints to suit your
    specific needs. With just one [<b>API
    KEY</b>](https://www.ailabtools.com/doc/get-api-key), you can easily call
    any of the endpoints and integrate them quickly into your application or
    workflow, allowing for smooth and efficient operations. 
     
    [<b>AILabTools</b>](https://www.ailabtools.com) is continuously evolving,
    and you can anticipate even more API endpoints being added in the future,
    further enhancing its capabilities and usefulness for your artificial
    intelligence and machine learning requirements.
  version: 1.0.0
servers:
  - url: https://www.ailabapi.com
    description: Production server
security:
  - apiKeyAuth: []
tags:
  - name: AI IMAGE
  - name: AI IMAGE > Image Enhancement
  - name: AI IMAGE > Image Effects
  - name: AI IMAGE > Image Editing
  - name: AI IMAGE > Image Scoring
  - name: AI BACKGROUND REMOVAL
  - name: AI BACKGROUND REMOVAL > Portrait
  - name: AI BACKGROUND REMOVAL > General
  - name: AI PORTRAIT
  - name: AI PORTRAIT > Portrait Effects
  - name: AI PORTRAIT > Portrait Enhance
  - name: AI PORTRAIT > Portrait Editing
  - name: AI PORTRAIT > Portrait Analysis
  - name: AI COMMON
paths:
  /api/portrait/effects/face-beauty-pro:
    post:
      tags:
        - AI PORTRAIT > Portrait Effects
      summary: Face Beauty Pro
      description: >-
        Face Beauty Pro API provides advanced portrait retouching, face shaping,
        eyebrow removal, filters, and skin beautification.
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                task_type:
                  type: string
                  description: |-
                    Task Type. 
                    - `sync`: Synchronous tasks. 
                    - `async`: Asynchronous tasks.
                  example: sync
                image:
                  type: string
                  format: binary
                whitening:
                  type: integer
                  description: >-
                    Whitening Degree. `0` means no whitening effect, `100`
                    represents the highest degree.
                  example: '50'
                smoothing:
                  type: integer
                  description: >-
                    Smoothing Degree. `0` means no smoothing effect, `100`
                    represents the highest degree.
                  example: '50'
                thinface:
                  type: integer
                  description: >-
                    Face Slimming Degree. `0` means no face slimming effect,
                    `100` represents the highest degree.
                  example: '50'
                shrink_face:
                  type: integer
                  description: >-
                    Small Face Degree. `0` means no small face effect, `100`
                    represents the highest degree.
                  example: '50'
                enlarge_eye:
                  type: integer
                  description: >-
                    Big Eyes Degree. `0` means no big eyes effect, `100`
                    represents the highest degree.
                  example: '50'
                remove_eyebrow:
                  type: integer
                  description: >-
                    Eyebrow Removal Degree. `0` means no eyebrow removal effect,
                    `100` represents the highest degree.
                  example: '50'
                filter_type:
                  type: string
                  description: |-
                    Filter Effects. 
                    - `1`: Black and White. 
                    - `2`: Calm. 
                    - `3`: Sunny Day. 
                    - `4`: Journey. 
                    - `5`: Beautify Skin. 
                    - `6`: Hong Kong Style. 
                    - `7`: Aesthetic. 
                    - `8`: Lovely. 
                    - `9`: New York. 
                    - `10`: Sakura. 
                    - `11`: Seventeen. 
                    - `12`: Soft Light. 
                    - `13`: Afternoon Tea. 
                    - `14`: Brighten Skin. 
                    - `15`: Chaplin. 
                    - `16`: Floral. 
                    - `17`: Memories. 
                    - `18`: Ice Beauty. 
                    - `19`: Paris. 
                    - `20`: Time. 
                    - `21`: LOMO. 
                    - `22`: Old Times. 
                    - `23`: Early Spring. 
                    - `24`: Story. 
                    - `25`: Abao Color. 
                    - `26`: Fill Light. 
                    - `27`: Warm. 
                    - `28`: Gorgeous. 
                    - `29`: Lavender. 
                    - `30`: Chanel. 
                    - `31`: Prague. 
                    - `32`: Old Dreams. 
                    - `33`: Peach Blossom. 
                    - `34`: Pink. 
                    - `35`: Misty Rain.
      responses:
        '200':
          headers:
            Content-Type:
              schema:
                type: string
                example: application/json
          content:
            application/json:
              schema:
                type: object
              examples:
                sync:
                  summary: Sync
                  value:
                    request_id: ''
                    log_id: ''
                    error_detail:
                      code: ''
                      code_message: ''
                      message: ''
                    task_type: sync
                    result: ''
                async:
                  summary: Async
                  value:
                    request_id: ''
                    log_id: ''
                    error_detail:
                      code: ''
                      code_message: ''
                      message: ''
                    task_type: async
                    task_id: ''
          description: Success
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: ailabapi-api-key
      description: API Key for authentication

````